Bug 885515 (php-Faker) - Review Request: php-Faker - A PHP library that generates fake data
Summary: Review Request: php-Faker - A PHP library that generates fake data
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: php-Faker
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-09 23:21 UTC by Shawn Iwinski
Modified: 2013-01-11 23:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-28 03:50:01 UTC
Type: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci-src.log (15.62 KB, text/plain)
2012-12-15 08:22 UTC, Remi Collet
no flags Details
php-Faker-review.txt (6.47 KB, text/plain)
2012-12-15 08:22 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2012-12-09 23:21:55 UTC
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-Faker.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-Faker-1.1.0-1.fc17.src.rpm

Description: 
Faker is a PHP library that generates fake data for you. Whether you need
to bootstrap your database, create good-looking XML documents, fill-in your
persistence to stress test it, or anonymize data taken from a production
service, Faker is for you.

Faker is heavily inspired by Perl's Data::Faker
(http://search.cpan.org/~jasonk/Data-Faker/), and by Ruby's Faker
(http://faker.rubyforge.org/).


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2012-12-15 08:22:05 UTC
Created attachment 663918 [details]
phpci-src.log

Comment 2 Remi Collet 2012-12-15 08:22:44 UTC
Created attachment 663919 [details]
php-Faker-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 885515

Comment 3 Remi Collet 2012-12-15 08:24:59 UTC
According to phpci analysis, there is an optional dependency for
	Doctrine\Common\Persistence\Mapping\ClassMetadata
	Doctrine\Common\Persistence\ObjectManager

Please consider adding a comment about this in the spec.
(and add a requires or a comment in description when the DoctrineCommon package will be available)


No blocker.

=== APPROVED ===

Comment 4 Shawn Iwinski 2012-12-16 04:46:58 UTC
THANKS for the review and optional dependency catch!  I'll update the description and add a comment to the spec after initial import.


New Package SCM Request
=======================
Package Name: php-Faker
Short Description: A PHP library that generates fake data
Owners: siwinski
Branches: f17 f18 el6
InitialCC:

Comment 5 Gwyn Ciesla 2012-12-16 23:58:38 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-12-19 02:06:00 UTC
php-Faker-1.1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-Faker-1.1.0-2.fc18

Comment 7 Fedora Update System 2012-12-19 02:06:17 UTC
php-Faker-1.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-Faker-1.1.0-2.fc17

Comment 8 Fedora Update System 2012-12-19 02:06:30 UTC
php-Faker-1.1.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-Faker-1.1.0-2.el6

Comment 9 Fedora Update System 2012-12-19 18:29:26 UTC
Package php-Faker-1.1.0-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-Faker-1.1.0-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13792/php-Faker-1.1.0-2.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-12-28 03:50:02 UTC
php-Faker-1.1.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 11 Fedora Update System 2013-01-04 19:43:38 UTC
php-Faker-1.1.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2013-01-11 23:32:15 UTC
php-Faker-1.1.0-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.